Package org.gradle.api.artifacts.component

## Interface ModuleComponentIdentifier

- All Superinterfaces:
    `ComponentIdentifier`

      public interface ModuleComponentIdentifier
      extends ComponentIdentifier

  An identifier for a component instance which is available as a module version.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getGroup()` | The module group of the component.
    `java.lang.String` | `getModule()` | The module name of the component.
    `ModuleIdentifier` | `getModuleIdentifier()` | The module identifier of the component.
    `java.lang.String` | `getVersion()` | The module version of the component.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

      `getDisplayName`

- - ### Method Detail

    - #### getGroup

          java.lang.String getGroup()

      The module group of the component.
      Returns:
        Component group
      Since:
        1.10

    - #### getModule

          java.lang.String getModule()

      The module name of the component.
      Returns:
        Component module
      Since:
        1.10

    - #### getVersion

          java.lang.String getVersion()

      The module version of the component.
      Returns:
        Component version
      Since:
        1.10

    - #### getModuleIdentifier

          ModuleIdentifier getModuleIdentifier()

      The module identifier of the component. Returns the same information as `getGroup()` and `getModule()`.
      Returns:
        the module identifier
      Since:
        4.9